Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 14/11/2009, à 17:50

Menome

canon ip 2600 et ubuntu 9.10

Bonjour à tous,
J'ai installé Ubuntu 9.10 depuis une semaine.
Mon problème vient de mon imprimante canon Pixma 2600:
J'ai téléchargé le driver sur canon.
il est composé d'une archive dans laquelle le fichier control fait référence à libcupsys 2.
Or sous 9.10 point de libcupsys 2 mais un libcups 2 (fichue chasse aux caractères....)
Donc j'ai trouvé ce post anglais http://ubuntuforums.org/archive/index.php/t-1305248.html qui explique fort bien les choses. Seulement à chaque fois que j'ouvre une console et tape les lignes de commandes, pour extraire: l'archive est introuvable. Quand j'utilise l'interface graphique je décompresse, je modifie le fichier control (gedit) mais là plus possible d'en faire un .deb exploitable...
Comment je peux faire pour que un dossier appeler common dans lequel se trouve deux archives (control.tar.gz et data.tar.gz) et un fichier binary debian se transforme en paquet .deb ?
Merci

Hors ligne

#2 Le 15/11/2009, à 20:51

laborde

Re : canon ip 2600 et ubuntu 9.10

Salut

Je suis aussi interessé par la résolution de ce pb.
Contrairement à toi je n'ai pas compris grand chose au tuto.


Bon je suis un bleu nivo supérieur (je m'améliore), mais il reste encore du travail.

Hors ligne

#3 Le 17/11/2009, à 11:29

Reup

Re : canon ip 2600 et ubuntu 9.10

Salut et merci pour ce lien !

Je suis un bleu pareil, j'y comprends pas grand chose, et j'ai eu le même problème.
... C'était juste dû au fait que les fichiers chopés chez Canon ne portaient pas le même nom que ceux de ce génie anglophone (pas la même version). Donc les commandes barbares essayaient de modifier un fichier qui n'existait pas.

Je vais tenter une traduction pour laborde, si un vrai qui s'y connait passe par là, qu'il n'hésite pas à corriger.

A - télécharger le driver pour linux (debian) sur le site de Canon et le mettre sur le bureau.

B - extraire cnijfilter-common_2.90-1_i386.deb
et cnijfilter-ip2600series_2.90-1_i386.deb

C - faire la procédure décrite sur le post anglais, avec les bons noms de fichiers :

Ouvrir un terminal, et y taper :

cd ~ /Bureau

puis

dpkg-deb -x cnijfilter-common_2.90-1_i386.deb common
dpkg-deb --control cnijfilter-common_2.90-1_i386.deb

2 dossiers sont apparus sur le bureau : common et DEBIAN

cd DEBIAN
gedit control

Et là, dans le fichier texte ouvert, faut chercher le terme libcupsys2 et le modifier en libcups2, puis enregistrer et fermer.
Ensuite on prend sur le bureau le dossier DEBIAN, qu'on met dans le dossier common.
Et on tape :

cd ~/Bureau

puis

dpkg -b common cnijfilter-common_2.90-1_i386.deb

Puis sur le bureau on double-clique sur cnijfilter-common_2.90-1_i386.deb, et on l'installe.

On fait ensuite (presque) la même chose avec cnijfilter-ip2600series_2.90-1_i386.deb :

dpkg-deb -x cnijfilter-ip2600series_2.90-1_i386.deb ip2600
dpkg-deb --control cnijfilter-ip2600series_2.90-1_i386.deb

2 dossiers sont apparus sur le bureau : ip2600 et DEBIAN

cd DEBIAN
gedit ip2600

Pareil, dans le fichier texte ouvert, faut chercher le terme libcupsys2 et le modifier en libcups2, puis enregistrer et fermer.
Ensuite on prend sur le bureau le dossier DEBIAN, qu'on met dans le dossier ip2600.
Et on tape :

cd ~/Bureau

puis

dpkg -b cnijfilter-ip2600series_2.90-1_i386.deb

Puis sur le bureau on double-clique sur cnijfilter-ip2600series_2.90-1_i386.deb, et on l'installe.

J'ai fait tout ça, et j'avais ensuite une vilain message quand je tentais une page de test, à propos de cups insecure filter.

Après une petite recherche sur internet, j'ai suivi aveuglement cette manip :

sudo chown -hR root /usr/lib/cups/filter
sudo chown -hR root /usr/lib/cups/backend
 sudo chgrp -hR root /usr/lib/cups/filter
sudo chgrp -hR root /usr/lib/cups/backend

Et j'ai redémarré mon ordi, en menaçant mon imprimante (optionnel ?).

Et ça marche !

S'il y a quelque chose de logique dans l'informatique, ça devrait fonctionner chez vous aussi...

Dernière modification par Reup (Le 17/11/2009, à 20:25)

Hors ligne

#4 Le 29/11/2009, à 13:10

laborde

Re : canon ip 2600 et ubuntu 9.10

J'ai pas mal lutté pour y arriver mais c'est fait.

Je remet toute la méthode avec quelques correctifs


A - télécharger le driver pour linux (debian) sur le site de Canon et le mettre sur le bureau.
http://support-asia.canon-asia.com/


B - extraire cnijfilter-common_2.90-1_i386.deb
et cnijfilter-ip2600series_2.90-1_i386.deb


C - faire la procédure décrite sur le post anglais, avec les bons noms de fichiers :
http://ubuntuforums.org/archive/index.p … 05248.html

Ouvrir un terminal, et y taper :

cd ~/Bureau
dpkg-deb -x cnijfilter-common_2.90-1_i386.deb common
dpkg-deb --control cnijfilter-common_2.90-1_i386.deb

2 dossiers sont apparus sur le bureau : common et DEBIAN

cd DEBIAN
gedit control

Et là, dans le fichier texte ouvert, faut chercher le terme libcupsys2 et le modifier en libcups2, puis enregistrer et fermer.
Ensuite on prend sur le bureau le dossier DEBIAN, qu'on met dans le dossier common.

Et on tape :

cd ~/Bureau
dpkg -b common cnijfilter-common_2.90-1_i386.deb

Puis sur le bureau on double-clique sur cnijfilter-common_2.90-1_i386.deb, et on l'installe.

On fait ensuite (presque) la même chose avec cnijfilter-ip2600series_2.90-1_i386.deb :

dpkg-deb -x cnijfilter-ip2600series_2.90-1_i386.deb ip2600
dpkg-deb --control cnijfilter-ip2600series_2.90-1_i386.deb

2 dossiers sont apparus sur le bureau : ip2600 et DEBIAN

cd DEBIAN
gedit control

Pareil, dans le fichier texte ouvert, faut chercher le terme libcupsys2 et le modifier en libcups2, puis enregistrer et fermer.
Ensuite on prend sur le bureau le dossier DEBIAN, qu'on met dans le dossier ip2600.

cd ~/Bureau
dpkg -b ip2600 cnijfilter-ip2600series_2.90-1_i386.deb

Puis sur le bureau on double-clique sur cnijfilter-ip2600series_2.90-1_i386.deb, et on l'installe.

Un vilain message quand on tente une page de test, à propos de cups insecure filter.

Doù la methode trouvée par @Reup


sudo chown -hR root /usr/lib/cups/filter
sudo chown -hR root /usr/lib/cups/backend
 sudo chgrp -hR root /usr/lib/cups/filter
sudo chgrp -hR root /usr/lib/cups/backend

On redémarre l'ordinateur en menaçant l'imprimante (c'est primordial).

CA MARCHE


Merci à @Reup

Dernière modification par laborde (Le 29/11/2009, à 17:34)


Bon je suis un bleu nivo supérieur (je m'améliore), mais il reste encore du travail.

Hors ligne

#5 Le 05/12/2009, à 00:14

Menome

Re : canon ip 2600 et ubuntu 9.10

youpi ! hourra !merci Laborde et Reup.
Un jour, un jour viendra ou je comprendrai ce qui vient de se passer.
Mais ça marche !
Bon ben courage reste plus qu'à configurer la vidéo maintenant.
Bonne soirée

Hors ligne

#6 Le 22/12/2009, à 09:00

marmotte.alu

Re : canon ip 2600 et ubuntu 9.10

un immense merci pour cette solution.

personnellement j'ai une pixma ip 4500 et les même manipulations s'appliquent à son pilote.


Ubuntu 14.04 - id steam : marmottealu

Hors ligne

#7 Le 22/12/2009, à 09:17

laborde

Re : canon ip 2600 et ubuntu 9.10

l'astuce c'est de menacer l'imprimante.

A chaque foi j'oubliais:D


Bon je suis un bleu nivo supérieur (je m'améliore), mais il reste encore du travail.

Hors ligne

#8 Le 02/03/2010, à 11:16

ftarkin

Re : canon ip 2600 et ubuntu 9.10

Ca marche tres bien effectivement pour l'ip4500 pour avoir de zolis fotos toutes claires.
J'ai quand meme gardé l'install via CUPS pour le N&B c'est plus rapide (15 sec vs 90 pour le driver proprio...)

Juste une chose, pas besoin de re-demarrer la bécane, il 'suffit' de redemarrer cupsvia:

sudo /etc/init.d/cups restart

Ordi perso monté en Core i3, 4 Go RAM Voyager 12.04 64
Dell Latitude E6210 (Core i3, 6 Go DDR3) Voyager 12.04 64
HP Z800 (biproc Xeon QuadCore 18 Go DDR3) Voyager 12.04 64

Hors ligne

#9 Le 21/06/2010, à 08:05

doudoulolita

Re : canon ip 2600 et ubuntu 9.10

Après avoir suivi le début de l'explication jusqu'à:

dpkg -b common cnijfilter-common_2.90-1_i386.deb

la console indique:

dpkg-deb : construction du paquet « cnijfilter-common » dans « cnijfilter-common_2.90-1_i386.deb ».

Ensuite, j'ai double-cliqué sur cnijfilter-common_2.90-1_i386.deb mais il m'indique:
Erreur: Architecture "i386" incorrecte.
Peut-être parce que je suis en 64 bits ?

Hors ligne

#10 Le 22/06/2010, à 12:16

ftarkin

Re : canon ip 2600 et ubuntu 9.10

Oui, probablement... Là il te faut chercher un autre driver :s


Ordi perso monté en Core i3, 4 Go RAM Voyager 12.04 64
Dell Latitude E6210 (Core i3, 6 Go DDR3) Voyager 12.04 64
HP Z800 (biproc Xeon QuadCore 18 Go DDR3) Voyager 12.04 64

Hors ligne

#11 Le 25/06/2010, à 18:26

ceric

Re : canon ip 2600 et ubuntu 9.10

Avez-vous essayé avec ce driver:
http://support-asia.canon-asia.com/contents/ASIA/EN/0100119102.html
Sinon le problème a été résolu ici :
http://forum.ubuntu-fr.org/viewtopic.php?id=269086

Dernière modification par ceric (Le 25/06/2010, à 18:28)


cq58 sous heisenbug
m3nws sous seven
nec-9500gt sous wheezy

Hors ligne

#12 Le 04/07/2010, à 13:02

doudoulolita

Re : canon ip 2600 et ubuntu 9.10

ceric a écrit :

Avez-vous essayé avec ce driver:
http://support-asia.canon-asia.com/contents/ASIA/EN/0100119102.html
Sinon le problème a été résolu ici :
http://forum.ubuntu-fr.org/viewtopic.php?id=269086

Ca n'a pas marché pour moi et mon ordi a planté au redémarrage. Mais le plantage est probablement indépendant de la manip'.
N'empêche qu'après quelques manips pour redémarrer, je n'ai toujours pas d'imprimante en état de marche.
J'espère que l'encre ne va pas boucher les buses avant qu'une solution ne soit trouvée... mad

Hors ligne

#13 Le 12/07/2010, à 15:00

Kalio

Re : canon ip 2600 et ubuntu 9.10

J'ai le même problème avec une canon lbp3010 la première moitié de l'expliquation fonctionne très bien pour moi et m'a permis d'installer le premier paquet.
Par contre pour le second fichier (c'est pas les mêmes noms - c'est cndrvcups-capt_1.80-1_i386.deb), il n'y a pas le même problème de dépendance manquante. Là il s'agit de libstdc++5. En employant la même méthode j'ai placé dans le fichier libstdc++6 (en sachant que je comprends rien aux oncéquences de ce que je fais) mais là, contrairement au premier fichier, il n'accepte pas l'installation du paquet et signale maintenant un problème de dépendance manquante sur libstdc++6 (qui est bien installée).

Si quelqu'un a une idée ....

Hors ligne

#14 Le 30/07/2010, à 08:08

ludanar

Re : canon ip 2600 et ubuntu 9.10

merci pour la solution, grâce à toi, ma Canon PIXMA MP540 fonctionne !!! big_smile

Hors ligne

Haut de page ↑